profile
viewpoint

Ask questionsError loading tensorflow

System information

  • Have I written custom code (as opposed to using a stock example script provided in TensorFlow): NO
  • OS Platform and Distribution (e.g., Linux Ubuntu 16.04): Windows 10
  • Mobile device (e.g. iPhone 8, Pixel 2, Samsung Galaxy) if the issue happens on mobile device:
  • TensorFlow installed from (source or binary): binary
  • TensorFlow version (use command below): 1.14.0
  • Python version: 3.7
  • Bazel version (if compiling from source):
  • GCC/Compiler version (if compiling from source):
  • CUDA/cuDNN version: 10.1 - 10.1
  • GPU model and memory: Nvidia Quadro K5000 - 4Gb
  • Exact command to reproduce: import tensorflow as tf

Describe the problem

Error loading Tensorflow. Does not provide a clue about which DLL is failing to initialize.

Source code / logs

import tensorflow as tf _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "C:\Program Files\Python37\lib\imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "C:\Program Files\Python37\lib\imp.py", line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: Error en una rutina de inicialización de biblioteca de vínculos dinámicos (DLL). Failed to load the native TensorFlow runtime.

Calling from a program:

python style.py Traceback (most recent call last): File "C:\Users\Javier\AppData\Roaming\Python\Python37\site-packages\tensorflow\python\pywrap_tensorflow.py", line 58, in <module> from tensorflow.python.pywrap_tensorflow_internal import * File "C:\Users\Javier\AppData\Roaming\Python\Python37\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 28, in <module> _pywrap_tensorflow_internal = swig_import_helper() File "C:\Users\Javier\AppData\Roaming\Python\Python37\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "C:\Program Files\Python37\lib\imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "C:\Program Files\Python37\lib\imp.py", line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: Error en una rutina de inicialización de biblioteca de vínculos dinámicos (DLL). During handling of the above exception, another exception occurred: Traceback (most recent call last): File "style.py", line 9, in <module> _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "C:\Program Files\Python37\lib\imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "C:\Program Files\Python37\lib\imp.py", line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: Error en una rutina de inicialización de biblioteca de vínculos dinámicos (DLL). Failed to load the native TensorFlow runtime.

tensorflow/tensorflow

Answer questions littlemountainman

Solved here #13715

useful!

Related questions

ModuleNotFoundError: No module named 'tensorflow.contrib' hot 9
Error occurred when finalizing GeneratorDataset iterator hot 7
Tf.Keras metrics issue hot 6
module 'tensorflow' has no attribute 'ConfigProto' hot 6
TF 2.0 'Tensor' object has no attribute 'numpy' while using .numpy() although eager execution enabled by default hot 6
tensorflow-gpu CUPTI errors
ModuleNotFoundError: No module named 'tensorflow.contrib'
When importing TensorFlow, error loading Hadoop
AttributeError: module &#39;tensorflow.python.framework.op_def_registry&#39; has no attribute &#39;register_op_list&#39;
tf.keras.layers.Conv1DTranspose ?
[TF 2.0] tf.keras.optimizers.Adam hot 4
Lossy conversion from float32 to uint8. Range [0, 1]. Convert image to uint8 prior to saving to suppress this warning. hot 4
TF2.0 AutoGraph issue hot 4
Cannot deploy trained model: google.protobuf.message.DecodeError: Error parsing message hot 4
OSError: SavedModel file does not exist at: saved_model_dir/{saved_model.pbtxt|saved_model.pb} hot 4
source:https://uonfu.com/
Github User Rank List